<!DOCTYPE HTML PUBLIC "-//W3C/DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">

<%@page contentType="text/html" pageEncoding="UTF-8" %>
<%@page language="java" import="java.util.Locale" %>

<%@taglib uri="http://www.esri.com/adf/web" prefix="a"%>
<%@taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <title>Map Information</title>
    <script type="text/javascript" language="Javascript" src="js/mapInformation.js"></script>
    <link rel="stylesheet" href="css/soria.all.css.min.css" type="text/css"></link>
    <link rel="stylesheet" href="css/adf.css" type="text/css"></link>
  </head>
  <body onload="init()">
    <f:view>
      <a:context value="#{mapContext}" />
      <script type="text/javascript" language="javascript" src="js/esri/dojo/dojo.js" djConfig="locale:'<%=Locale.getDefault().toString().replace('_', '-').toLowerCase()%>' "></script>
      <script type="text/javascript">
        adfdojo.require("adf.adf");
        adfdojo.requireLocalization("resource","adf");
      </script>      
      <h:form id="f">
        <table>
	    <tr>
	    	<td colspan="2">
	    	        <a:task id="mapToolsTask"
		                    value="#{mapContext.attributes.webappMapToolsTask}"
		                    taskInfo="#{mapContext.attributes.webappMapToolsTask.taskInfo}"
		                    mapId="map1" windowingSupport="false"
                    style="padding:0px;margin:0px;" xslFile="maptoolstask.xsl" />
	    	</td>
	    </tr>
            <tr>
              <td style="border:1px solid #000;">
                <!-- Declare map control -->
                <a:map id="map1" value="#{mapContext.webMap}" width="400" height="400" />
              </td>
              <td valign="top">
                Map Information :
                <table>
                  <tbody>
                    <tr>
                      <td nowrap="true">MinX : </td>
                      <td><span id="minx"></span></td>
                    </tr>
                    <tr>
                      <td nowrap="true">MinY : </td>
                      <td><span id="miny"></span></td>
                    </tr>
                    <tr>
                      <td nowrap="true">MaxX : </td>
                      <td><span id="maxx"></span></td>
                    </tr>
                    <tr>
                      <td nowrap="true">MaxY : </td>
                      <td><span id="maxy"></span></td>
                    </tr>
                    <tr>
                      <td nowrap="true">Scale : </td>
                      <td><span id="map-scale"></span></td>
                    </tr>
                  </tbody>
                </table>
              </td>
            </tr>
        </table>
      </h:form>
    </f:view>
  </body>
</html>